/*********************************************************************
 * File:   ttycmds.h  (part of TTYTALK)
 * Author: Victor Volkman
 * Date:   June, 1988
 ********************************************************************/

#define ASCIICMD 1
#define EXITCMD  2
#define LINECMD  3
#define BRKCMD	 5

#define TRUE  1
#define FALSE 0

#define ATTR_TERM 7
#define ATTR_CMD  112

#define MAX_QUEUE (1024 * 10)
#define MIN_QUEUE 1024

#define F1	0x3b00
#define F2	0x3c00
#define F3	0x3d00
#define F4	0x3e00
#define F5	0x3f00
#define F6	0x4000
#define F7	0x4100
#define F8	0x4200
#define F9	0x4300
#define F10	0x4400

#define A_B	0x3000

#define VIDEO_INT 0x10
#define RS232_INT 0x14
#define KB_INT	  0x16
#define TICK_INT  0x1A

#define KB_GET	0
#define WINDOW_ROWS 24
#define WINDOW_COLS 80


#define CHAR_BS    0x08
#define CHAR_TAB   0x09
#define CHAR_LF    0x0A
#define CHAR_CR    0x0D
#define CHAR_BLANK 0x20
#define CHAR_UNDER 0x5F

enum cmdtype {
   CMD_ANSWBACK,CMD_ATTEN,CMD_BKSIZE,CMD_BLANKEX,CMD_BREAK,
   CMD_CAPTURE,CMD_CWAIT,CMD_DATA,CMD_DEBUG,CMD_DPREFIX,
   CMD_DSUFFIX,CMD_DUPLEX,CMD_FILTER,CMD_INFILTER,CMD_LBREAK,
   CMD_LFAUTO,CMD_LWAIT,CMD_NAME,CMD_NUMBER,CMD_OUTFILTR,
   CMD_PARITY,CMD_PORT,CMD_PRINTER,CMD_RDIALS,CMD_SPEED,
   CMD_STOP,CMD_TABEX,CMD_TURNARND,CMD_UCONLY,CMD_VIDEO,
   CMD_SEND,CMD_QUIT,CMD_GO,CMD_RXMODEM,CMD_XXMODEM,CMD_LOAD,
   CMD_SAVE,CMD_NONE
};

#define flags(a) (term_vals[a])


#define NUM_CMDS ((int)(CMD_SAVE))

struct serial_def {
   int adapter;
   int ibaud_rate;
   int parity;
   int stopbits;
   int data;
   };

typedef struct {
   char *head;
   char *tail;
   char *bbuf;
   char *ebuf;
   } QUEUE;
